clear all
close all

% Build mesh from .geo file 
gmshOptions={'Mesh.Algorithm=4;','Mesh.CharacteristicLengthFactor=0.5;'};
%gmshOptions={};
meshfile=gmsh.buildmesh2d('condenser10',25,'force',true,'strings',gmshOptions,'check',true);%,'verbose',4);

Th=siMesh(meshfile);
figure(1);
Th.plot()
set(legend(),'Location','NorthEastOutside')
axis off;axis image
figure(2)
Th.plot('color',[0.85,0.85,0.85],'legend',false)
hold on
Th.plot('d',1,'PlotOptions',{'Linewidth',2});
set(legend(),'Location','NorthEastOutside')
axis off;axis image
