clear all
close all

% Build mesh from .geo file 
meshfile=gmsh.buildmesh3d('demi_sphere4',15,'force',true);                    

Th=siMesh(meshfile);
figure(1);
[ha1,lega1]=Th.plot('FaceAlpha',0.5,'legend',true);
%[ha2,lega2]=Th.plot('d',1,'PlotOptions',{'Linewidth',2},'legend',false);
%legend([ha1;ha2],{lega1{:},lega2{:}},'Location','NorthEastOutside')
axis off;axis image

[axplot,axlegend]=fc_tools.graphics.FigurePanels(2);
axes(axplot);axis off;axis image
hold on
%  [hb1,legb1]=Th.plot('PlotOptions',{'FaceAlpha',0.5},'legend',false);
%  [hb2,legb2]=Th.plot('d',1,'PlotOptions',{'Linewidth',2},'legend',false);
%  axes(axlegend)
%  LegendPanel(axlegend,[hb1;hb2],{legb1{:},legb2{:}},3)
[ha0,lega0]=Th.plot('d',3,'labels',2,'FaceAlpha',0.5);
[ha1,lega1]=Th.plot('d',2,'labels',1:6,'FaceAlpha',0.5);
[ha2,lega2]=Th.plot('d',1,'labels',1:3,'Linewidth',2);
%legend([ha1;ha2],{lega1{:},lega2{:}},'Location','NorthEastOutside')
axes(axlegend)
fc_tools.graphics.LegendPanel(axlegend,[ha0;ha1;ha2],{lega0{:},lega1{:},lega2{:}},3)