clear all
close all

% Build mesh from .geo file 
meshfile=gmsh.buildmesh3d('quart_sphere2',5,'force',true,'check',true);                    

Th=siMesh(meshfile);
figure(1);
Th.plot('FaceAlpha',0.5,'legend',true);
hold on
Th.plot('d',1,'Color',[0,0,0],'LineWidth',2);
axis off;axis image

figure(2);
%Th.plot('d',2,'PlotOptions',{'FaceAlpha',0.5},'legend',true);
Th.plot('d',2,'legend',true);
axis off;axis image

figure(3);
Th.plot('d',1,'LineWidth',2,'legend',true);
axis off;axis image
